## fotoxx 20.08

=== Makefile ===
#  fotoxx Makefile
#
#  export CXX=g++          gnu compiler
#  export CXX=clang++      clang compiler
#  export DEBUG=x          debug build with address checking

ifeq ($(CXX), clang++)
   ifdef DEBUG
      CXXFLAGS += -Wall -g -O0 -fsanitize=address
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -O2
   endif
else
   ifdef DEBUG
      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
   endif
endif

PREFIX ?= /usr
PKG_CONFIG ?= pkg-config

# target install folders
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
IMAGEDIR = $(SHAREDIR)/images
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/                 \
   -I/usr/include/champlain-gtk-0.12/              \
   -I/usr/include/champlain-0.12/                  \
   -I/usr/include/libchamplain-gtk-0.12/           \
   -I/usr/include/libchamplain-0.12/

LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
         -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
         -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
           f.edit.o f.enhance.o f.effects.o f.warp.o f.combine.o f.mashup.o          \
           f.tools.o f.process.o f.pixmap.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) $(ALLFILES) $(LIBS) -o fotoxx \

fotoxx.o: fotoxx.cc fotoxx.h
	$(CXX) fotoxx.cc $(CFLAGS) -o fotoxx.o \

f.widgets.o: f.widgets.cc  fotoxx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.file.o: f.file.cc  fotoxx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotoxx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotoxx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.area.o: f.area.cc  fotoxx.h
	$(CXX) f.area.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotoxx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotoxx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.enhance.o: f.enhance.cc  fotoxx.h
	$(CXX) f.enhance.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotoxx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.warp.o: f.warp.cc  fotoxx.h
	$(CXX) f.warp.cc $(CFLAGS) \

f.combine.o: f.combine.cc  fotoxx.h
	$(CXX) f.combine.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotoxx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotoxx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.process.o: f.process.cc  fotoxx.h
	$(CXX) f.process.cc $(CFLAGS) \

f.pixmap.o: f.pixmap.cc  fotoxx.h
	$(CXX) f.pixmap.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS)                   \
	### -D DOCDIR=\"$(DOCDIR)\"      SUSE only   \

install: fotoxx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	cp -f     fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f fotoxx.desktop $(DESTDIR)$(MENUFILE)
	cp -f fotoxx.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(LOCALESDIR)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean:
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (20.08-2) unstable; urgency=medium

  * debian/control:
    - Add dcraw to Depends. (closes: #955727)
      Thanks to Alberto Luaces for the bug report and patch.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 04 Apr 2020 13:54:45 -0300

fotoxx (20.08-1) unstable; urgency=medium

  * New upstream version 20.08
  * debian/copyright:
    - Update Copyright Years and contact email
    - Add https to Upstream contact webpage
    - Add license CC0 to appdata/fotoxx.metadata.xml
  * debian/patches:
    - Removes patch 0001-Add-primary-category-to-desktop-file.patch.
      (Applied by upstream)
    - Adds patches for switching off 'phone home' by default.
      Removes old 0002-Do-not-phone-home.patch.
    - Adds 0002-manage-has-bad-whatis-entry.patch
      Fix manpage line breaks and 'what is' section.
    - Adds/Edit Patches headers.
    - Updates series file.
  * debian/control:
    - Bumps Standars Version to 4.5.0.
    - Adds Rules-Requires-Root: no.
    - Updates package Description.
    - Updates suggests packages.
    - Adds https to Homepage field.
  * debian/rules:
    - Removes override_dh_link and override_dh_fixperms-arch.
      Not needed anymore.
    - Removes extra license file.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 24 Feb 2020 12:45:54 -0300

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: optional
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper-compat (= 12),
	       libchamplain-gtk-0.12-dev,
	       libgtk-3-dev,
	       liblcms2-dev,
	       libraw-dev,
	       libtiff-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.kornelix.net/fotoxx/fotoxx.html
Vcs-Browser: https://salsa.debian.org/debian/fotoxx
Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}),
	 libimage-exiftool-perl (>= 8.60),
	 xdg-utils,
	 dcraw,
	 ${misc:Depends},
	 ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, vlc, libopenjp2-tools
Description: Edit photos and manage a large collection
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotoxx has extensive tools for edit, repair, and special effects.
 Fotoxx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: Edit photos and manage a large collection - common files
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotoxx has extensive tools for edit, repair, and special effects.
 Fotoxx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://www.kornelix.net/downloads/downloads.html downloads/fotoxx-([\d.]+).tar.gz

## fotoxx 20.10

=== debian/changelog ===
fotoxx (20.10-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Mar 2020 12:28:45 -0800

fotoxx (20.04-1~mx19+2) mx; urgency=medium

  * Added dcraw, etc to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 20 Jan 2020 04:14:04 -0800

fotoxx (20.04-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 19 Jan 2020 17:25:13 -0800

## fotoxx 20.11

=== debian/changelog ===
fotoxx (20.11-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Apr 2020 08:01:43 -0700

## fotoxx 20.12

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
       CXXFLAGS += -Wall -g -O0 -fsanitize=address
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -O2
+      CXXFLAGS += -Wall -g -O2 -Wno-strict-overflow                  ## 20.12
    endif
 else
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-strict-overflow        ## 20.12
    endif
 endif
 
@@ -51,7 +51,7 @@
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
-           f.edit.o f.enhance.o f.effects.o f.warp.o f.combine.o f.mashup.o          \
+           f.edit.o f.enhance.o f.effects.o f.warp.o f.combine.o f.mashup.o         \
            f.tools.o f.process.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
@@ -106,8 +106,8 @@
 	$(CXX) f.pixmap.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS)                   \
-	### -D DOCDIR=\"$(DOCDIR)\"      SUSE only   \
+	$(CXX) zfuncs.cc $(CFLAGS)                      \
+	### -D DOCDIR=\"$(DOCDIR)\"      ## SUSE only   \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)

=== debian/changelog ===
fotoxx (20.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 21 May 2020 11:25:57 -0700

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
			binutils,
			dcraw,  
			g++, 
			libc6, 
            libchamplain-gtk-0.12-dev,
            libclutter-1.0-dev, 
            libgtk-3-dev,
            liblcms2-dev,
            libraw-dev,
            libtiff-dev,
Standards-Version: 4.1.4
Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
Vcs-Browser: https://salsa.debian.org/debian/fotoxx
Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}), 
         libtiff5-dev, libpng-dev, liblcms2-dev, 
         libimage-exiftool-perl (>= 8.60), dcraw, 
         libclutter-1.0-dev, libchamplain-0.12-dev, 
         libchamplain-gtk-0.12-dev, xdg-utils, 
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: easy-to-use digital photo editor - common files
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

## fotoxx 20.13

=== debian/changelog ===
fotoxx (20.13-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 30 May 2020 08:22:54 -0700

## fotoxx 20.16

=== debian/changelog ===
fotoxx (20.16-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 12 Jul 2020 06:23:57 -0700

## fotoxx 20.17

=== Makefile ===
--- 
+++ 
@@ -6,17 +6,17 @@
 
 ifeq ($(CXX), clang++)
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -O0 -fsanitize=address
+      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-format-truncation 
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -O2 -Wno-strict-overflow                  ## 20.12
+      CXXFLAGS += -Wall -g -O2 -Wno-format-truncation
    endif
 else
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation 
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-strict-overflow        ## 20.12
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
    endif
 endif

=== debian/changelog ===
fotoxx (20.17-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Jul 2020 19:06:40 -0700

## fotoxx 20.18

=== debian/changelog ===
fotoxx (20.18-1~mx17+2) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Pruned extra depends from control file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Oct 2020 18:45:31 -0700

fotoxx (20.18-1~mx19+2) mx; urgency=medium

  * Pruned extra depends in control file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Oct 2020 15:27:16 -0700

fotoxx (20.18-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 20 Sep 2020 15:44:29 -0700

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9),
-			binutils,
-			dcraw,  
-			g++, 
-			libc6, 
-            libchamplain-gtk-0.12-dev,
-            libclutter-1.0-dev, 
-            libgtk-3-dev,
-            liblcms2-dev,
-            libraw-dev,
-            libtiff-dev,
+Build-Depends: debhelper (>= 11),
+        binutils, 
+        dcraw,  
+        g++, 
+        libc6, 
+        libchamplain-gtk-0.12-dev,
+        libclutter-1.0-dev, 
+        libgtk-3-dev,
+        liblcms2-dev,
+        libraw-dev,
+        libtiff-dev,
 Standards-Version: 4.1.4
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Browser: https://salsa.debian.org/debian/fotoxx
@@ -22,11 +22,10 @@
 
 Package: fotoxx
 Architecture: any
-Depends: fotoxx-common (= ${source:Version}), 
-         libtiff5-dev, libpng-dev, liblcms2-dev, 
-         libimage-exiftool-perl (>= 8.60), dcraw, 
-         libclutter-1.0-dev, libchamplain-0.12-dev, 
-         libchamplain-gtk-0.12-dev, xdg-utils, 
+Depends: fotoxx-common (= ${source:Version}),
+         dcraw, 
+         libimage-exiftool-perl (>= 8.60),  
+         xdg-utils, 
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem

## fotoxx 20.19

=== Makefile ===
--- 
+++ 
@@ -6,17 +6,17 @@
 
 ifeq ($(CXX), clang++)
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-format-truncation 
+      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -O2 -Wno-format-truncation
    endif
 else
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation 
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif

=== debian/changelog ===
fotoxx (20.19-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 29 Oct 2020 18:36:16 -0700

## fotoxx 21.32

=== debian/changelog ===
fotoxx (21.32-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Changed fotoxx.install metainfo path

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Jan 2021 09:05:44 -0800

## fotoxx 21.33

=== Makefile ===
#  fotoxx Makefile
#
#  export CXX=g++          gnu compiler
#  export CXX=clang++      clang compiler
#  export DEBUG=x          debug build with address checking

ifeq ($(CXX), clang++)     #  CLANG
   ifdef DEBUG
      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -O2
   endif
else                       #  GCC
   ifdef DEBUG
      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
   endif
endif

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/                 \
   -I/usr/include/champlain-gtk-0.12/              \
   -I/usr/include/champlain-0.12/                  \
   -I/usr/include/libchamplain-gtk-0.12/           \
   -I/usr/include/libchamplain-0.12/

LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
         -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
         -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o          \
           f.tools.o f.batch.o f.pixmap.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) $(ALLFILES) $(LIBS) -o fotoxx \

fotoxx.o: fotoxx.cc fotoxx.h
	$(CXX) fotoxx.cc $(CFLAGS) -o fotoxx.o \

f.widgets.o: f.widgets.cc  fotoxx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.file.o: f.file.cc  fotoxx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotoxx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotoxx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.area.o: f.area.cc  fotoxx.h
	$(CXX) f.area.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotoxx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotoxx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.repair.o: f.repair.cc  fotoxx.h
	$(CXX) f.repair.cc $(CFLAGS) \

f.enhance.o: f.enhance.cc  fotoxx.h
	$(CXX) f.enhance.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotoxx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.warp.o: f.warp.cc  fotoxx.h
	$(CXX) f.warp.cc $(CFLAGS) \

f.composite.o: f.composite.cc  fotoxx.h
	$(CXX) f.composite.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotoxx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotoxx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.batch.o: f.batch.cc  fotoxx.h
	$(CXX) f.batch.cc $(CFLAGS) \

f.pixmap.o: f.pixmap.cc  fotoxx.h
	$(CXX) f.pixmap.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS)                   \

# install application files in standard locations
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
METAINFODIR = $(PREFIX)/share/metainfo
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
IMAGEDIR = $(SHAREDIR)/images
ICONDIR = $(SHAREDIR)/icons
                                         
install: fotoxx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(METAINFODIR)
	cp -f     fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	cp -f -R  metainfo/* $(DESTDIR)$(METAINFODIR)
	# man page  (21.29) 
	gzip -fk -9 man/fotoxx.man
	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	# desktop file and icon
	cp -f fotoxx.desktop $(DESTDIR)$(MENUDIR)
	cp -f fotoxx.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.*
	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx.*
	rm -f  $(DESTDIR)$(METAINFODIR)/fotoxx.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)

clean:
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (21.33-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Feb 2021 08:18:27 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README

override_dh_link:
	dh_link -pfotoxx \
	    usr/share/fotoxx/html/userguide-en.html \
	    usr/share/doc/fotoxx/userguide-en.html
	dh_link --remaining-packages

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*
	
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## fotoxx 21.34

=== Makefile ===
--- 
+++ 
@@ -104,7 +104,6 @@
 DOCDIR = $(PREFIX)/share/doc/fotoxx
 MANDIR = $(PREFIX)/share/man/man1
 MENUDIR = $(PREFIX)/share/applications
-METAINFODIR = $(PREFIX)/share/metainfo
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data
 IMAGEDIR = $(SHAREDIR)/images
@@ -118,12 +117,10 @@
 	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
-	mkdir -p  $(DESTDIR)$(METAINFODIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f -R  metainfo/* $(DESTDIR)$(METAINFODIR)
 	# man page  (21.29) 
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
@@ -136,7 +133,6 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.*
 	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx.*
-	rm -f  $(DESTDIR)$(METAINFODIR)/fotoxx.*
 	rm -f -R  $(DESTDIR)$(SHAREDIR)
 
 clean:

=== debian/changelog ===
fotoxx (21.34-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Removed metainfo install

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 13 Mar 2021 13:29:06 -0800

fotoxx (21.33-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Feb 2021 08:19:19 -0800

fotoxx (21.32-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Jan 2021 09:23:33 -0800

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 override_dh_fixperms-arch:
 	dh_fixperms -a
-	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*
 	
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## fotoxx 21.40

=== debian/changelog ===
fotoxx (21.40-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:42:38 -0700

## fotoxx 21.41

=== debian/changelog ===
fotoxx (21.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:04:43 -0700

## fotoxx 21.42

=== debian/changelog ===
fotoxx (21.42-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:00:55 -0700

## fotoxx 21.44

=== debian/changelog ===
fotoxx (21.44-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:07:45 -0700

fotoxx (21.42-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:01:27 -0700

fotoxx (21.41-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:03:09 -0700

fotoxx (21.40-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:49:45 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
	
override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/license
	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README

## fotoxx 21.50

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
-           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o          \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
+           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)

=== debian/changelog ===
fotoxx (21.50-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:30:01 -0700

fotoxx (21.44-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:09:47 -0700

fotoxx (21.42-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:00:15 -0700

fotoxx (21.41-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:03:58 -0700

fotoxx (21.40-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:53:06 -0700

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,13 @@
 
 %:
 	dh $@
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 	
 override_dh_auto_install:
 	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/license
 	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README
+
+

## fotoxx 21.52

=== debian/changelog ===
fotoxx (21.52-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 11:58:51 -0700

fotoxx (21.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:31:57 -0700

fotoxx (21.44-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:10:50 -0700

## fotoxx 21.55

=== debian/changelog ===
fotoxx (21.55-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:07:31 -0700

fotoxx (21.52-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 12:00:00 -0700

fotoxx (21.50-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:29:05 -0700

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,12 @@
 
 %:
 	dh $@
+
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
+	dh_strip -a --no-automatic-dbgsym	
+		
 override_dh_auto_install:
 	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/license
 	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README
-
-

## fotoxx 21.60

=== Makefile ===
--- 
+++ 
@@ -25,13 +25,13 @@
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `$(PKG_CONFIG) --cflags gtk+-3.0`               \
    -I/usr/include/clutter-1.0/                     \
-   -I/usr/include/cogl/                            \
-   -I/usr/include/json-glib-1.0/                   \
    -I/usr/include/clutter-gtk-1.0/                 \
    -I/usr/include/champlain-gtk-0.12/              \
    -I/usr/include/champlain-0.12/                  \
    -I/usr/include/libchamplain-gtk-0.12/           \
-   -I/usr/include/libchamplain-0.12/
+   -I/usr/include/libchamplain-0.12/               \
+   -I/usr/include/cogl/                            \
+   -I/usr/include/json-glib-1.0/                   \
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \

=== debian/changelog ===
fotoxx (21.60-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 18 Oct 2021 18:54:00 -0700

fotoxx (21.55-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:09:15 -0700

## fotoxx 22.1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
-           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o     \
+           f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
@@ -71,8 +71,8 @@
 f.repair.o: f.repair.cc  fotoxx.h
 	$(CXX) f.repair.cc $(CFLAGS) \
 
-f.enhance.o: f.enhance.cc  fotoxx.h
-	$(CXX) f.enhance.cc $(CFLAGS) \
+f.refine.o: f.refine.cc  fotoxx.h
+	$(CXX) f.refine.cc $(CFLAGS) \
 
 f.effects.o: f.effects.cc  fotoxx.h
 	$(CXX) f.effects.cc $(CFLAGS) \
@@ -80,8 +80,8 @@
 f.warp.o: f.warp.cc  fotoxx.h
 	$(CXX) f.warp.cc $(CFLAGS) \
 
-f.composite.o: f.composite.cc  fotoxx.h
-	$(CXX) f.composite.cc $(CFLAGS) \
+f.comb.o: f.comb.cc  fotoxx.h
+	$(CXX) f.comb.cc $(CFLAGS) \
 
 f.mashup.o: f.mashup.cc  fotoxx.h
 	$(CXX) f.mashup.cc $(CFLAGS) \

=== debian/changelog ===
fotoxx (22.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.
  * New default icon sizes.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jan 2022 13:08:41 -0800

## fotoxx 22.12

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,13 @@
 #  export CXX=g++          gnu compiler
 #  export CXX=clang++      clang compiler
 #  export DEBUG=x          debug build with address checking
+
+
+#  Try to included fixed champlain-tile.h but none of this works
+#  CXXFLAGS += -D GTimeVal=GDateTime
+#  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
+#  CXXFLAGS += -I $(MAKEDIR)
+
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
@@ -13,7 +20,8 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address                      \
+                           -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
@@ -22,22 +30,14 @@
 
 PKG_CONFIG ?= pkg-config
 
-CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
-   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
-   -I/usr/include/clutter-1.0/                     \
-   -I/usr/include/clutter-gtk-1.0/                 \
-   -I/usr/include/champlain-gtk-0.12/              \
-   -I/usr/include/champlain-0.12/                  \
-   -I/usr/include/libchamplain-gtk-0.12/           \
-   -I/usr/include/libchamplain-0.12/               \
-   -I/usr/include/cogl/                            \
-   -I/usr/include/json-glib-1.0/                   \
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
+         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`          \
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o      \
            f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o

=== debian/changelog ===
fotoxx (22.12-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 07 Feb 2022 16:33:18 -0800

## fotoxx 22.14

=== debian/changelog ===
fotoxx (22.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Mar 2022 05:52:57 -0800

## fotoxx 22.15

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  export DEBUG=x          debug build with address checking
 
 
-#  Try to included fixed champlain-tile.h but none of this works
+#  Try to fix warning from champlain-tile.h but none of this works
 #  CXXFLAGS += -D GTimeVal=GDateTime
 #  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 #  CXXFLAGS += -I $(MAKEDIR)
@@ -31,7 +31,7 @@
 PKG_CONFIG ?= pkg-config
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
-         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`          \
+         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \

=== debian/changelog ===
fotoxx (22.15-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 Apr 2022 05:46:45 -0700

## fotoxx 22.16

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o      \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
            f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
@@ -59,8 +59,8 @@
 f.albums.o: f.albums.cc  fotoxx.h
 	$(CXX) f.albums.cc $(CFLAGS) \
 
-f.area.o: f.area.cc  fotoxx.h
-	$(CXX) f.area.cc $(CFLAGS) \
+f.select.o: f.select.cc  fotoxx.h
+	$(CXX) f.select.cc $(CFLAGS) \
 
 f.meta.o: f.meta.cc  fotoxx.h
 	$(CXX) f.meta.cc $(CFLAGS) \

=== debian/changelog ===
fotoxx (22.16-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 05 May 2022 16:15:46 -0700

## fotoxx 22.18

=== Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	# man page  (21.29) 
+	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	# desktop file and icon

=== debian/changelog ===
fotoxx (22.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jun 2022 18:25:48 -0700

## fotoxx 22.20

=== debian/changelog ===
fotoxx (22.20-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Jul 2022 07:49:58 -0700

## fotoxx 22.30

=== debian/changelog ===
fotoxx (22.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Aug 2022 16:20:56 -0700

## fotoxx 22.31

=== debian/changelog ===
fotoxx (22.31-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Sep 2022 06:27:25 -0700

## fotoxx 22.35

=== debian/changelog ===
fotoxx (22.35-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Oct 2022 19:19:23 -0700

## fotoxx 22.41

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address                      \
+      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address                      \
                            -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif

=== debian/changelog ===
fotoxx (22.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 17:02:55 -0700

## fotoxx 22.50

=== Makefile ===
--- 
+++ 
@@ -108,6 +108,7 @@
 DATADIR = $(SHAREDIR)/data
 IMAGEDIR = $(SHAREDIR)/images
 ICONDIR = $(SHAREDIR)/icons
+METAINFODIR = $(PREFIX)/share/metainfo
                                          
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -117,10 +118,12 @@
 	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
+	mkdir -p  $(DESTDIR)$(METAINFODIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
+	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)            ## 22.50
 	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
@@ -129,11 +132,12 @@
 	cp -f fotoxx.png $(DESTDIR)$(ICONDIR)
 
 uninstall:
-	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
+	rm -f     $(DESTDIR)$(BINDIR)/fotoxx
 	rm -f -R  $(DESTDIR)$(DOCDIR)
-	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.*
-	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx.*
+	rm -f     $(DESTDIR)$(MANDIR)/fotoxx.*
+	rm -f     $(DESTDIR)$(MENUDIR)/fotoxx.*
 	rm -f -R  $(DESTDIR)$(SHAREDIR)
+	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix*
 
 clean:
 	rm -f  fotoxx

=== debian/changelog ===
fotoxx (22.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 26 Nov 2022 08:15:07 -0800

## fotoxx 23.0

=== debian/changelog ===
fotoxx (23.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Jan 2023 07:54:05 -0800

## fotoxx 23.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 #  CXXFLAGS += -I $(MAKEDIR)
 
+CXXFLAGS += -fpermissive -Wno-write-strings  
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
@@ -30,7 +31,7 @@
 
 PKG_CONFIG ?= pkg-config
 
-CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                              \
          `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
@@ -96,7 +97,7 @@
 	$(CXX) f.pixmap.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS)                   \
+	$(CXX) zfuncs.cc $(CFLAGS) \
 
 # install application files in standard locations
 PREFIX ?= /usr

=== debian/changelog ===
fotoxx (23.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Feb 2023 13:29:20 -0800

## fotoxx 23.2

=== Makefile ===
--- 
+++ 
@@ -21,11 +21,12 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address                      \
-                           -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
+                  -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g2 -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O2                               \
+                  -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif
 
@@ -124,7 +125,7 @@
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)            ## 22.50
+	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)
 	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz

=== debian/changelog ===
fotoxx (23.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Mar 2023 19:44:37 -0700

## fotoxx 23.32

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,12 @@
 #  fotoxx Makefile
 #
+#  Following commands choose compiler and debug options
 #  export CXX=g++          gnu compiler
 #  export CXX=clang++      clang compiler
 #  export DEBUG=x          debug build with address checking
 
-
-#  Try to fix warning from champlain-tile.h but none of this works
-#  CXXFLAGS += -D GTimeVal=GDateTime
-#  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
-#  CXXFLAGS += -I $(MAKEDIR)
-
-CXXFLAGS += -fpermissive -Wno-write-strings  
+CXXFLAGS += -fpermissive -Wno-write-strings 
+CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG

=== debian/changelog ===
fotoxx (23.32-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Apr 2023 18:48:31 -0700

fotoxx (23.31-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Apr 2023 18:09:28 -0700

## fotoxx 23.50

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,10 @@
 zfuncs.o: zfuncs.cc  zfuncs.h
 	$(CXX) zfuncs.cc $(CFLAGS) \
 
+ifdef DEBUG
+	@echo DEBUG BUILD
+endif
+
 # install application files in standard locations
 PREFIX ?= /usr
 BINDIR = $(PREFIX)/bin

=== debian/changelog ===
fotoxx (23.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 17 May 2023 14:10:50 -0700

## fotoxx 23.60

=== debian/changelog ===
fotoxx (23.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Aug 2023 07:52:32 -0700

## fotoxx 23.70

=== debian/changelog ===
fotoxx (23.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Oct 2023 16:43:27 -0700

## fotoxx 23.72

=== debian/changelog ===
fotoxx (23.72-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 28 Oct 2023 05:56:07 -0700

## fotoxx 23.74

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 CXXFLAGS += -fpermissive -Wno-write-strings 
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
+CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG

=== debian/changelog ===
fotoxx (23.74-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 Nov 2023 12:10:24 -0700

## fotoxx 23.80

=== debian/changelog ===
fotoxx (23.80-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:40 -0800

## fotoxx 23.81

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
 
-ifeq ($(CXX), clang++)     #  CLANG
+ifeq ($(CXX), clang++)                                #  CLANG
    ifdef DEBUG
       CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -O2
    endif
-else                       #  GCC
+else                                                  #  GCC
    ifdef DEBUG
       CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
                   -Wno-format-truncation -Wno-stringop-truncation

=== debian/changelog ===
fotoxx (23.81-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:29:06 -0800
